Open CASCADE Technology: AIS_Dimension::SelectionGeometry Struct Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions | Data Fields
AIS_Dimension::SelectionGeometry Struct Reference

Selection geometry of dimension presentation. The structure is filled with data during compute of presentation, then this data is used to generate selection sensitives when computing selection. More...

`#include <AIS_Dimension.hxx>`

## Data Structures
struct | Arrow
| Arrows are represented by directed triangles. More...

## Public Types
typedef NCollection_Sequence< gp_Pnt > | Curve
typedef NCollection_Handle< Curve > | HCurve
typedef NCollection_Handle< Arrow > | HArrow
typedef NCollection_Sequence< HCurve > | SeqOfCurves
typedef NCollection_Sequence< HArrow > | SeqOfArrows

## Public Member Functions
void | Clear (const Standard_Integer theMode)
| Clear geometry of sensitives for the specified compute mode. More...
Curve & | NewCurve ()
| Add new curve entry and return the reference to populate it. More...
Arrow & | NewArrow ()
| Add new arrow entry and return the reference to populate it. More...

## Data Fields
gp_Pnt | TextPos
| Center of text label. More...
gp_Dir | TextDir
| Direction of text label. More...
Standard_Real | TextWidth
| Width of text label. More...
Standard_Real | TextHeight
| Height of text label. More...
SeqOfCurves | DimensionLine
| Sequence of points for composing the segments of dimension line. More...
SeqOfArrows | Arrows
| Sequence of arrow geometries. More...
Standard_Boolean | IsComputed
| Shows if the selection geometry was filled. More...

## Detailed Description

Selection geometry of dimension presentation. The structure is filled with data during compute of presentation, then this data is used to generate selection sensitives when computing selection.

## Member Typedef Documentation

typedef NCollection_Sequence<gp_Pnt> AIS_Dimension::SelectionGeometry::Curve

typedef NCollection_Handle<Arrow> AIS_Dimension::SelectionGeometry::HArrow

typedef NCollection_Handle<Curve> AIS_Dimension::SelectionGeometry::HCurve

typedef NCollection_Sequence<HArrow> AIS_Dimension::SelectionGeometry::SeqOfArrows

typedef NCollection_Sequence<HCurve> AIS_Dimension::SelectionGeometry::SeqOfCurves

## Member Function Documentation

void AIS_Dimension::SelectionGeometry::Clear | ( | const Standard_Integer | theMode | ) |
| inline

Clear geometry of sensitives for the specified compute mode.

Parameters

  theMode | [in] the compute mode to clear.

Arrow& AIS_Dimension::SelectionGeometry::NewArrow | ( |  | ) |
| inline

Add new arrow entry and return the reference to populate it.

Curve& AIS_Dimension::SelectionGeometry::NewCurve | ( |  | ) |
| inline

Add new curve entry and return the reference to populate it.

## Field Documentation

SeqOfArrows AIS_Dimension::SelectionGeometry::Arrows

Sequence of arrow geometries.

SeqOfCurves AIS_Dimension::SelectionGeometry::DimensionLine

Sequence of points for composing the segments of dimension line.

Standard_Boolean AIS_Dimension::SelectionGeometry::IsComputed

Shows if the selection geometry was filled.

gp_Dir AIS_Dimension::SelectionGeometry::TextDir

Direction of text label.

Standard_Real AIS_Dimension::SelectionGeometry::TextHeight

Height of text label.

gp_Pnt AIS_Dimension::SelectionGeometry::TextPos

Center of text label.

Standard_Real AIS_Dimension::SelectionGeometry::TextWidth

Width of text label.

The documentation for this struct was generated from the following file:

- AIS_Dimension.hxx